#pragma once

#include "IntApiDefs.h"

// Once we decided to use the /clr option, the DLL must be dynamically loaded


extern DWORD __stdcall MCR_ApiGetDLLInitStatus(void);
extern DWORD __stdcall MCR_ApiGetTimeCodeStatus(void);
extern void  __stdcall MCR_ApiGetLockStatus(API_LAST_LOCK_STATUS *pApiLockStatus);
extern DWORD __stdcall MCR_ApiGetDeviceStatus(void);
extern BOOL  __stdcall MCR_ApiSetFrameRate(WORD rate);	// deprecated
extern DWORD __stdcall MCR_ApiPollTimeCode(MCR_TIME_REV_A *mcrTime);
extern DWORD __stdcall MCR_ApiEnableCallback(DWORD cbToAdd, PMCR_ASYNC_CALLBACK_ROUTINE cbFunction);
extern DWORD __stdcall MCR_ApiDisableCallback(DWORD cbToRemove);
extern void  __stdcall MCR_ApiShutdown(void);	// deprecated
extern BOOL  __stdcall MCR_ApiClearEnhanced(void);
extern DWORD __stdcall MCR_ApiGetTimeCodeType(void);
extern DWORD __stdcall MCR_ApiGetTimeCodeGpsStatus(void);
extern void  __stdcall MCR_ApiGetDLLVersion(PUINT verMaj, PUINT verMin, PUINT verRev);
extern BOOL  __stdcall MCR_ApiGetDriverVersion(PUINT verMaj, PUINT verMin, PUINT verRev);
extern BOOL  __stdcall MCR_ApiRequestRecalibration(void);
extern BOOL  __stdcall MCR_ApiSetDateTime(MCRSYNC_IPC_SETTIME *psrSetTime);

extern UINT32 __stdcall MCR_ApiSetConfiguration(MCR_CONFIGURATION *pApiSetConfig);
extern void   __stdcall MCR_ApiGetConfiguration(MCR_CONFIGURATION *pApiSetConfig);

extern BOOL  __stdcall MCR_ApiGetFirmwareVersion(PUINT verMaj, PUINT verMin, PUINT verRev);
extern BOOL  __stdcall MCR_ApiGetFirmwareChecksum(PDWORD pChecksum);

// functions added for MCR-PCIe and MCR-PCI66


