#pragma once



// Include _DEBUG in the project properties-preprocessor to turn on debug output
// The debug output can be turned on in the release version by commenting out
// the #ifdef below.
#ifdef _DEBUG
#define _DEBUG_OUTPUT_ENABLE
#endif

#ifdef _DEBUG_OUTPUT_ENABLE

// adds lots of information to the log
#define _DEBUG_ERROR
#define _DEBUG_INIT
#define _DEBUG_INFO
//#define _DEBUG_INFO1
#define _DEBUG_TIMESYNC
//#define _DEBUG_TIMESYNC1
#define _DEBUG_TIMESYNC2
//#define _DEBUG_IPC
//#define _DEBUG_IPC1
#define _DEBUG_CONFIG
//#define _DEBUG_DEVICES_INFO
#define _DEBUG_NMEA
#endif

//The defines below are used when the system is initialized
//#define  DEBUG_MONOCHROME	0x00000001L
#define  DEBUG_FILE			0x00000002L
#define  DEBUG_NOLINEHEAD	0x00000004L
#define  DEBUG_NOHELLO		0x00000008L
#define  DEBUG_ALL			0xffffffffL


typedef unsigned long       DWORD;
typedef int                 BOOL;
typedef unsigned char       BYTE;
typedef unsigned short      WORD;


class CDebugOutput
{
public:
	CDebugOutput(void);
	~CDebugOutput(void);

	char DebugInit(TCHAR *tcSft, TCHAR *tcLogFile, DWORD dwFlags);
	void DebugClose(void);
	void DebugMsg(TCHAR *);
	char DebugReset(void);

};
