// FindSync.cpp : implementation file
//

#include "stdafx.h"
#include "MCR Monitor.h"
#include "FindSync.h"
#include "PipeInterface.h"
#include "DebugOutput.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFindMcrsync dialog


CFindMcrsync::CFindMcrsync(CWnd* pParent /*=NULL*/)
	: CDialog(CFindMcrsync::IDD, pParent)
{
	char	tmp1[1024];
	char	tmp2[1024+2];
	DWORD	dwSize;

	//{{AFX_DATA_INIT(CFindMcrsync)
	m_NewTarget = _T("");
	//}}AFX_DATA_INIT

	dwSize = sizeof(tmp2)-1;
	GetComputerName(tmp2,&dwSize);
	sprintf_s(tmp1,sizeof(tmp1),"\\\\%s",tmp2);
	m_NewTarget = tmp1;	
}


void CFindMcrsync::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFindMcrsync)
	DDX_Control(pDX, IDC_TARGETNAME, m_TargetName);
	DDX_Text(pDX, IDC_NEWTARGET, m_NewTarget);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFindMcrsync, CDialog)
	//{{AFX_MSG_MAP(CFindMcrsync)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFindMcrsync message handlers

BOOL CFindMcrsync::OnInitDialog() 
{
	char tmp[1024];

	CDialog::OnInitDialog();

	sprintf_s(tmp,sizeof(tmp),"\\\\%s",hPipeInterface->monitorSystem);
	m_TargetName.SetWindowText(tmp);
	
#ifdef _DEBUG_INFO
	DebugMsg("Target Name: %s",tmp);
#endif

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
